#include <stdio.h>
#include "funcs.h"
#include "config.h"

int main(void) {
	Init();

	size_t i;
	for (i = 0; i < sizeof(FUNCS) / sizeof(void *); i++) {
		if (i < Logo.size)
			printf("%s", Logo.art[i]);

		//If art is less than buffer size
		else if (i >= Logo.size)
			printf("%s", Logo.art[Logo.size - 1]);


		FUNCS[i]();
		printf("\033[0m\n");
	}


	//If art is larger than buffer size
	for (; i < Logo.size; i++)
		printf("%s\n", Logo.art[i]);

	//Clean and close
	printf("\n\033[0m");
	if (Os != NULL)
		free(Os);

	return 0;
}
